// INA3221.h author PAN for flprog.ru

#ifndef _INA3221_h
#define _INA3221_h

#include <Arduino.h>
#include <Wire.h>

#define ch1 1<<13
#define ch2 1<<12
#define ch3 1<<11



class INA3221 {
public:
	INA3221(uint8_t adr);
	INA3221(uint8_t adr, int channels, int average );
	void setup();
	float shunt(uint8_t ch, int r);
	int bus(uint8_t ch);

private:
	int read_int(uint8_t b);
	uint8_t adr;
	int config = 0b0111000100100111;
};


#endif

